Sign in with username
curl --request POST \
--url https://aquila.attaxr.com/api/auth/sign-in/username \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', password: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/sign-in/username', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/sign-in/username"
payload = {
"username": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"redirect": true,
"token": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"url": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Sign in with username
Sign in with username
POST
/
api
/
auth
/
sign-in
/
username
Sign in with username
curl --request POST \
--url https://aquila.attaxr.com/api/auth/sign-in/username \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', password: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/sign-in/username', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/sign-in/username"
payload = {
"username": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"redirect": true,
"token": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"url": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Personal API key sent as a bearer token.
Body
application/json
Response
Success

